# The Gimble project
This project aims to improve the experience of creating structures in Minecraft.

## Features
- **Modes** Use different modes to edit structures. Think Vim for Minecraft. [x]
- **Modifier** Use modifiers to change the behavior of the modes and your building experience. [x]
- **Undo/Redo** Easily undo and redo your changes. (planned)

## Modes
- **Normal** The default mode. Use it to change to other modes [x]
- **Insert** Edit blocks in the world [x]
- **Visual** Use selection to edit (contains worldedit support) (planned)
- **Replace** Replace blocks in the world [x]

## Modifiers
- **Bulldozer** Basically an auto-clicker [x]
- **Force Place** Ignore block placing restrictions [x]
- **No Clip** Walk and fly through blocks [x]
- **No Updates** Prevent block updates [x]
- **No Gravity** Prevent blocks from falling (planned)
- **Better Fly** Disable floaty fly physics and set custom fly speeds (planned)
- **Angelic Placement** Place blocks in the air (planned)

## Installation
This mod requires Fabric, the Fabric API, aswell as the HCConfigLib.

## Compiling
Before compiling, you need to generate the sources.
You can do this by running `./gradlew runDatagen` in the project directory.
Then run `./gradlew build` to compile the mod.

## License
This project is licensed under the GNU General Public License v3.0.
See the [LICENSE](LICENSE) file for more information.

